Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 553466 - dev-perl/Coro-6.420.0 with dev-lang/perl-5.22.0 : State.xs:558:29: error: lvalue required as left operand of assignment
Summary: dev-perl/Coro-6.420.0 with dev-lang/perl-5.22.0 : State.xs:558:29: error: lva...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 565902
  Show dependency tree
 
Reported: 2015-06-28 07:52 UTC by Toralf Förster
Modified: 2015-11-23 22:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge log (dev-perl-Coro-6.420.0-20150627-233055.log,15.10 KB, text/plain)
2015-06-28 07:52 UTC, Toralf Förster
Details
package history (dev-perl-Coro-6.420.0-20150627-233055.pks,360.86 KB, text/plain)
2015-06-28 07:52 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2015-06-28 07:52:04 UTC
Created attachment 405888 [details]
emerge log

(perl 5.22) ?
Skip ../blib/lib/Coro/Handle.pm (unchanged)
Running Mkbootstrap for Coro::State ()
chmod 644 "State.bs"
"/usr/bin/perl" "/usr/lib64/perl5/5.22.0/ExtUtils/xsubpp"  -typemap "/usr/lib64/perl5/5.22.0/ExtUtils/typemap" -typemap "typemap"  State.xs > State.xsc && mv State.xsc State.c
Warning: Aliases 'is_zombie' and 'is_destroyed' have identical values in State.xs, line 3669
x86_64-pc-linux-gnu-gcc -c   -fwrapv -fno-strict-aliasing -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -march=native -O2 -pipe   -DVERSION=\"6.42\" -DXS_VERSION=\"6.42\" -fPIC "-I/usr/lib64/perl5/5.22.0/x86_64-linux/CORE"  -DCORO_ASM -DCORO_STACKSIZE=16384 -DCORO_GUARDPAGES=4 -DCORO_USE_VALGRIND=1 -DCORO_JIT=1 State.c
State.xs: In function ‘coro_derive_padlist’:
State.xs:558:29: error: lvalue required as left operand of assignment
   PadlistNAMES (newpadlist) = (PADNAMELIST *)SvREFCNT_inc_NN (PadlistNAMES (pad
                             ^
State.xs: In function ‘boot_Coro__State’:
State.xs:3472:81: error: assignment of member ‘svt_get’ in read-only object
 _sigelem_get = PL_vtbl_sigelem.svt_get;   PL_vtbl_sigelem.svt_get   = coro_sige
                                                                     ^
State.xs:3473:81: error: assignment of member ‘svt_set’ in read-only object
 _sigelem_set = PL_vtbl_sigelem.svt_set;   PL_vtbl_sigelem.svt_set   = coro_sige
                                                                     ^
State.xs:3474:81: error: assignment of member ‘svt_clear’ in read-only object
 _sigelem_clr = PL_vtbl_sigelem.svt_clear; PL_vtbl_sigelem.svt_clear = coro_sige
                                                                     ^
Makefile:406: recipe for target 'State.o' failed
make[1]: *** [State.o] Error 1
make[1]: Leaving directory '/var/tmp/portage/dev-perl/Coro-6.420.0/work/Coro-6.42/Coro'
Makefile:554: recipe for target 'subdirs' failed
make: *** [subdirs] Error 2
 * ERROR: dev-perl/Coro-6.420.0::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=dev-perl/Coro-6.420.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-perl/Coro-6.420.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/dev-perl:Coro-6.420.0:20150627-233055.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-perl/Coro-6.420.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-perl/Coro-6.420.0/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-perl/Coro-6.420.0/work/Coro-6.42'
 * S: '/var/tmp/portage/dev-perl/Coro-6.420.0/work/Coro-6.42'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-unstable_20150621-132035/) at a hardened host acting as a tinderbox.

Portage 2.2.20 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop/kde, gcc-4.9.2, glibc-2.20-r2, 4.0.6-hardened x86_64)
=================================================================
System uname: Linux-4.0.6-hardened-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16164692 total,   1166440 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 27 Jun 2015 21:45:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25 p1.2) 2.25
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.3.5-r1::gentoo
dev-util/cmake:           3.2.3::gentoo
dev-util/pkgconfig:       0.28-r3::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r1::gentoo
sys-devel/gcc:            4.8.4::gentoo, 4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

local
    location: /usr/local/portage
    masters: gentoo

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 9999

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openfire/resources/security/ /usr/lib64/fax /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/lib/i2pd/certificates /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi aes-ni alsa amd64 apache2 avx avx2 berkdb bluetooth branding btrfs bzip2 cairo cdda cdr cli consolekit corefonts cracklib crypt cups cxx dbus declarative designer dnssec dot dri drmkms dts dvd dvdr ecc emboss encode exif extraengine fam ffmpeg firefox flac fontconfig fortran fpm gd gdbm gif glamor gpm gtk gudev gui iconv icu ipv6 isag jadetex jpeg kde kipi kvm lapack lcms libkms libnotify libvirtd logrotate mad mbox minizip mmx mmxext mng modules mp3 mp4 mpeg multilib mysql ncurses nls nptl ogg opengl openmp openssl pam pango pax_kernel pcre pcre16 pdf phonon plasma png policykit ppds pwquality python qemu qt3support qt4 qz5 readline scrpyt sdl session spell spice sqlite sse sse2 sse4 sse4_1 sse4_2 ssh-askpass ssl ssse3 startup-notification svg tcl tcpd theora thinkpad threads tiff tk tls truetype udev udisks uml unicode upower usb usbredir uxa v4l v4l2 video vorbis wxwidgets x264 xa xcb xcomposite xinerama xkb xml xmp xscreensaver xslt xv xvfb xvid xvmc zenmap zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk330 1 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2015-06-28 07:52:29 UTC
Created attachment 405890 [details]
package history
Comment 2 Andreas K. Hüttel gentoo-dev 2015-07-11 21:47:36 UTC
See this repo

https://github.com/Corion/Coro

for an attempt at compatibility patching. 

The first error is fixed, the following three remain (which makes me suspect they might be triggered by a perl/gcc combination).
Comment 3 Andreas K. Hüttel gentoo-dev 2015-07-11 22:26:25 UTC
Sidenote, we can easily last-rite Coro if needed. 

Only one revdep- Net-Server-Coro, which is not used by anything in the tree.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-08-06 09:27:30 UTC
Test the latest coro
Comment 5 Toralf Förster gentoo-dev 2015-08-06 11:42:34 UTC
That wants downgrade Perl ? :


Calculating dependencies  . .......... done!
[ebuild  N     ] dev-perl/Coro-6.470.0
[ebuild  N     ]  dev-perl/Guard-1.23.0
[ebuild     UD ]   dev-lang/perl-5.20.2-r1 [5.22.0]

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0
Comment 6 Andreas K. Hüttel gentoo-dev 2015-08-06 12:15:14 UTC
(In reply to Toralf Förster from comment #5)
> That wants downgrade Perl ? :
> 
> 
> Calculating dependencies  . .......... done!
> [ebuild  N     ] dev-perl/Coro-6.470.0
> [ebuild  N     ]  dev-perl/Guard-1.23.0
> [ebuild     UD ]   dev-lang/perl-5.20.2-r1 [5.22.0]
> 
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:
> 
> dev-lang/perl:0

Yes because I put the dependency there. Current won't work.
Comment 7 Andreas K. Hüttel gentoo-dev 2015-11-14 00:54:21 UTC
# Andreas K. Hüttel <dilfridge@gentoo.org> (13 Nov 2015)
# dev-perl/Coro is incompatible with Perl 5.22 and there is no fix
# in sight. Masking it and its reverse dependencies for removal in
# 30 days. Bug 553466.
dev-perl/Coro
dev-perl/Net-Server-Coro
dev-perl/Net-IMAP-Simple
dev-perl/Net-IMAP-Simple-SSL
Comment 8 Fabian Henze 2015-11-16 09:05:28 UTC
Note that dev-perl/Net-IMAP-Simple is required by mail-mta/qpsmtpd-0.95. See #565902
Comment 9 Sergiy Borodych 2015-11-23 16:01:36 UTC
Have you try
 https://metacpan.org/release/RURBAN/Coro-6.4801
Might be this will help to avoid masking.
But this is unofficial (UNAUTHORIZED) version.
Comment 10 Andreas K. Hüttel gentoo-dev 2015-11-23 22:57:12 UTC
Unmasked and fixed in Coro-6.480.100 (inofficial release by RURBAN)